Subject: Re: [rtcweb] Some language on "prioritization"
From: "Matthew Kaufman (SKYPE)" <[email-masked]>
To: Harald Alvestrand <[email-masked]>
Cc: "[email-masked]" <[email-masked]>
Date: Mon, 31 Mar 2014 17:49:45 +0000
List-Id: Real-Time Communication in WEB-browsers working group list <rtcweb.ietf.org>

And if SCTP and RTP have packets to send, which goes first, why, and under what circumstances?

Matthew Kaufman

(Sent from my iPhone)

> On Mar 31, 2014, at 10:48 AM, "Harald Alvestrand" <[email-masked]> wrote:
> 
>> On 03/31/2014 07:42 PM, Michael Tuexen wrote:
>>> On 31 Mar 2014, at 19:38, Martin Thomson <[email-masked]> wrote:
>>> 
>>>> On 31 March 2014 10:08, Harald Alvestrand <[email-masked]> wrote:
>>>> -- TODO: Specify a relative priority scheme that makes sense with SCTP,
>>>> with an appropriate reference. [draft-ietf-tsvwg-sctp-prpolicies]
>>>> specifies a priority policy, but it's about discarding packets, not
>>>> deciding which packets to send first, and it also makes it impossible to
>>>> specify time-bounded retransmission. --
>>> 
>>> Why would SCTP need special treatment?  I can understand if there are
>>> particular time-sensitive control messages that need to be given
>>> higher priority, but this is all time-sensitive.
>> A single transport connection (in this case an SCTP association) can
>> only use a single DSCP. So it would be OK to use the same priority for
>> all data channels, but things get complicated when when some data channels
>> would have different priorities requiring different DSCP markings.
> 
> The SCTP protocol machine will, at some given moment in time, have
> packets in its send buffers that belong to multiple data channels. Only
> one of them can go on the wire first.
> 
> Which packet does it choose to send first, and why?
> 
> That's the question I'm looking for an answer to.
> 
> If the answer has an RFC number, chapter and section, I'd be very happy.
> If it doesn't - perhaps we have to invent one.
> Or say that it's "implementation dependent".
> 
> _______________________________________________
> rtcweb mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/rtcweb